%define anolis_release 1

Name:           sensible-utils
Version:        0.0.21
Release:        %{anolis_release}%{?dist}
Summary:        Utilities for sensible alternative selection
BuildArch:      noarch
License:        GPL-2.0-or-later
URL:            https://packages.debian.org/unstable/admin/%{name}
Source0:        http://ftp.de.debian.org/debian/pool/main/s/%{name}/%{name}_%{version}.tar.xz

BuildRequires:  automake autoconf
BuildRequires:  make
BuildRequires:  po4a

# See Patch0
Requires:       /usr/bin/gettext
Requires:       /usr/bin/realpath

# Just require gettext, realpath instead of installing wrappers
Patch0:         sensible-utils_nowrappers.patch

%description
This package provides a number of small utilities which are used by programs to
sensibly select and spawn an appropriate browser, editor, or pager.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}

%build
# Needed for Patch0
autoreconf -ifv

%configure
%make_build

%install
%make_install

%files
%license debian/copyright
%{_bindir}/sensible-*
%{_bindir}/select-editor
%{_mandir}/man1/*.1*
%{_mandir}/*/man1/*.1*

%files doc
%doc debian/changelog

%changelog
* Thu Dec 21 2023 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 0.0.21-1
- update to 0.0.21

* Sat Mar 25 2023 yuanhui <yuanhui@linux.alibaba.com> - 0.0.17-1
- Init package from upstream
